<?php

 /*	/homez.65/analogde/www/WORKAREA/WEBSITE/Upload	*/

$DESTINATION_FOLDER = "/homez.65/analogde/www/WORKAREA/WEBSITE/Upload/";  /*$_POST["folder"];*/							
$MAX_SIZE = 5000000;											
$RETURN_LINK = $_SERVER['HTTP_REFERER'];						
$AUTH_EXT = array(".doc", ".pdf", ".jpg", ".ppt", ".xls", ".bmp", ".gif");											

function createReturnLink(){
	global $RETURN_LINK;
	echo "<a href='".$RETURN_LINK."'>Retour</a><br>";
}

function extension_Authorized($ext)
{
	global $AUTH_EXT;
	if(in_array($ext, $AUTH_EXT))
	  {
		return true;
	  }
	 else
	 {
		return false;
		}
}

	if(!empty($_FILES["file"]["name"]))
	{
		$nomFichier = $_FILES["file"]["name"] ;
		$nomTemporaire = $_FILES["file"]["tmp_name"] ;
		$typeFichier = $_FILES["file"]["type"] ;
		$taille_Fichier = $_FILES["file"]["size"] ;
		$codeErreur = $_FILES["file"]["error"] ;
		$extension = strrchr($nomFichier, ".");
	
		echo $DESTINATION_FOLDER .$nomFichier;
	
		if($taille_Fichier <> 0)
		 {
				if($taille_Fichier < $MAX_SIZE)
				{
					if(extension_Authorized($extension))
					{
						$uploadOk = move_uploaded_file($nomTemporaire, $DESTINATION_FOLDER .$nomFichier);
						if($uploadOk)
						{
							echo("L'upload a réussi !<br><br>");
							echo(createReturnLink());
						}
						else
							{ echo("L'upload a échoué !<br><br>");
							  echo(createReturnLink());
							}
					}
					
					else
						{ echo ("Les fichiers avec l'extension $extension ne peuvent pas être uploadés !<br>");
						  echo (createReturnLink()."<br>");
			            }
				}
		
			else{
					$tailleKo = $MAX_SIZE / 1000;
					echo("Vous ne pouvez pas uploader de fichiers dont la taille est supérieure à : $tailleKo Ko.<br>");
					echo (createReturnLink()."<br>");
				}		
		}
		
		else {
				echo("Le fichier choisi est invalide !<br>");
				echo (createReturnLink()."<br>");
			}
	}
	
	else{
			echo("Vous n'avez pas choisi de fichier !<br>");
			echo (createReturnLink()."<br>");
		}
?>